Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166422 - Fileview-refresh after Checkout doesn´t work correct
Fileview-refresh after Checkout doesn´t work correct
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: CVS
6.x
All Windows XP
: P2 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-02 17:37 UTC by stefan79
Modified: 2009-07-16 15:47 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Checkout dialog (16.45 KB, image/png)
2009-06-03 13:27 UTC, Ondrej Vrabec
Details
Message-Log after replacing the cvs-module. Now it works fine. (38.09 KB, text/plain)
2009-06-04 08:52 UTC, stefan79
Details

Note You need to log in before you can comment on or make changes to this bug.
Description stefan79 2009-06-02 17:37:26 UTC
When i checkout a Folder from the repository, the folder is not available in the Fileview.
After some Minutes (and changes between NB and an other programm) it works.

----
example:
In repository I´ve the following folders:
src/prog1
src/prog2
src/prog3

In my local copy I´ve checked out only src/prog1. Then I checkout "src/prog2" in my project.
And nothing changes in Fileview....

---
It worked fine with 6.5.1.

I´ve tested this, with 6.7RC1 (and the nightly builds before the refresh doesn´t works correct).
Comment 1 Ondrej Vrabec 2009-06-03 07:57:53 UTC
I don't think I fully understand.
1) You perform cvs checkout in IDE (with the cvs module)? Or outside the IDE with another client?
2) First you mentioned 'After some Minutes it works' and then 'And nothing changes in Fileview' - so does the folder
eventually show in the Files view or not?
Comment 2 stefan79 2009-06-03 09:50:32 UTC
> 1) You perform cvs checkout in IDE (with the cvs module)? Or outside the IDE with another client?
I use NetBeans - Client (Team > Checkout)

> 2) First you mentioned 'After some Minutes it works' and then 'And nothing changes in Fileview' - 
> so does the folder eventually show in the Files view or not?
I see the folder after some Minutes (or nervous clicking in the IDE and switching between IDE an other programms).
Comment 3 Ondrej Vrabec 2009-06-03 13:27:50 UTC
Created attachment 83152 [details]
Checkout dialog
Comment 4 Ondrej Vrabec 2009-06-03 13:28:53 UTC
After the checkout, does the checkout dialog show? The one saying 'Checkout completed' - 'Do you want to ....'?
Comment 5 stefan79 2009-06-03 15:19:51 UTC
Yes, i see the dialog.
I cancel the Dialog (<ESC>).
Comment 6 stefan79 2009-06-04 08:52:12 UTC
Created attachment 83188 [details]
Message-Log after replacing the cvs-module. Now it works fine.
Comment 7 Ondrej Vrabec 2009-06-22 13:17:57 UTC
fix: cdev #eca84fb269fd
Working copy was not refreshed after a checkout. If a user started IDE with -J-Dnetbeans.indexing.noFileRefresh=true,
the files view remained unchanged. Now the WC is always refreshed after a checkout.
Comment 8 Quality Engineering 2009-06-23 07:43:36 UTC
Integrated into 'main-golden', will be available in build *200906230201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/eca84fb269fd
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #166422 - Fileview-refresh after Checkout doesn�t work correct
explicitely refreshing the working copy
Comment 9 stefan79 2009-07-10 07:00:48 UTC
This fix is not in Version 6.7.
Can you please bring this fix in 6.7.1 - release?
Comment 10 matusdekanek 2009-07-10 10:02:35 UTC
verified on  NetBeans IDE Dev (Build 200907100200)
marking verified
Comment 11 pgebauer 2009-07-10 12:14:52 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/f6bf84e5c7dc
Comment 12 pribyl 2009-07-16 15:47:37 UTC
Product Version: NetBeans IDE 6.7.1 RC (Build 200907150227)
Java: 1.6.0_14; Java HotSpot(TM) Client VM 14.0-b16
System: Windows XP version 5.1 running on x86; Cp1250; cs_CZ (nb)

Verified in 6.7.1 RC

(I tried stefan's scenario and the change in FilesView was propagated immediately) 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo